Skip to content
Guides
Fulfillment & ShippingHolidays
shipping_settings:update

Create non-working date range

Creates a non-working date range that delivery estimates must skip.

POST/v1/shipping/holidays

Creates a non-working date range that delivery estimates must skip.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/shipping/holidays" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "name": "Example resource",    "fromDate": "2026-08-01",    "toDate": "2026-08-01",    "description": "Example description."  }'
{  "id": "7204558912004325301"}